<template>
  <el-row :gutter="20">
    <el-col :span="12">
      <el-form-item label="Тип налогооблажения" prop="">
        <el-select v-model="this.personForm.nalog_info.type_id" placeholder="Тип налогооблажения">
          <el-option
              v-for="item in this.dictionaries.type_nalogooblazg"
              :key="item.id"
              :label="item.name"
              :value="item.id"
          />
        </el-select>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Номер" prop="">
        <el-input v-model="this.personForm.nalog_info.certificate_number"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Дата начала" prop="">
        <el-date-picker
            v-model="this.personForm.nalog_info.certificate_start_date"
            type="date"
            placeholder="Дата начала"
            format="YYYY/MM/DD"
            value-format="YYYY-MM-DD"
        />
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Дата окончания" prop="">
        <el-date-picker
            v-model="this.personForm.nalog_info.certificate_end_date"
            type="date"
            placeholder="Дата окончания"
            format="YYYY/MM/DD"
            value-format="YYYY-MM-DD"
        />
      </el-form-item>
    </el-col>

  </el-row>
</template>

<script>
import moment from "moment";
export default {
  data:()=>({
    loading: false,
  }),
  methods:{
    dateFormat(data){
      return moment(data).format('DD.MM.YYYY')
    }
  },
  computed:{
    personForm() {
      return this.$store.getters.get_person_form;
    },
    dictionaries() {
      return this.$store.getters.get_dictionaries;
    },
    options() {
      return this.$store.getters.get_options;
    }
  }
}
</script>